FAILURE WITH FF 3.6 Rated 1 out of 5 stars

It dosen't work with with FF 3.6 as claimed by The Developer

This review is for a previous version of the add-on (1.3.3.8).